Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.soap
Class SOAPConnectionFactory

    java.lang.Object
      |
      +--javax.xml.soap.SOAPConnectionFactory

Direct Known Subclasses:
  SOAPConnectionFactoryImpl

public abstract class SOAPConnectionFactory
extends java.lang.Object

Constructor Summary
`SOAPConnectionFactory()`

Method Summary
`abstract SOAPConnection` | `createConnection()` Create a new `SOAPConnection`.
`static SOAPConnectionFactory` | `newInstance()` Creates an instance of the default `SOAPConnectionFactory` object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SOAPConnectionFactory

    public SOAPConnectionFactory()

Method Detail

### newInstance

    public static SOAPConnectionFactory newInstance()
                                             throws SOAPException,
                                                    java.lang.UnsupportedOperationException

  Creates an instance of the default `SOAPConnectionFactory` object.
  Returns:
    a new instance of a default `SOAPConnectionFactory` object
  Throws:
    `SOAPException` - if there was an error creating the `SOAPConnectionFactory`
    `java.lang.UnsupportedOperationException` - if newInstance is not supported.

### createConnection

    public abstract SOAPConnection createConnection()
                                             throws SOAPException

  Create a new `SOAPConnection`.
  Returns:
    the new `SOAPConnection` object.
  Throws:
    `SOAPException` - if there was an exception creating the `SOAPConnection` object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.